algorithmic modeling for Rhino
The below RHINO.SDK code allowed me to get a bounding box from the extents of a rhino model
Dim rmaIOnBoundingBoxModel As RMA.OpenNURBS.IOnBoundingBox = RMA.Rhino.RhUtil.RhinoApp.ActiveDoc.BoundingBox
Dim rmaArrayModelCornerPoints As New RMA.OpenNURBS.On3dPointArray
rmaIOnBoundingBoxModel.GetCorners(rmaArrayModelCornerPoints)
I cannot find a similar set of code to do the same in rhinocommon.
For instance;
Dim rmaIOnBoundingBoxModel As Rhino.Geometry.BoundingBox= Rhino.RhinoDoc.ActiveDoc.BoundingBox
does not exist. Any ideas?
thanks
Tags:
Welcome to
Grasshopper
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
© 2024 Created by Scott Davidson. Powered by